## sorcerer 1.0

=== Makefile ===
#
# PCCTS makefile for: SORCERER 1.00B
# Uses PCCTS release 1.20
#
PCCTS=..
BIN = /usr/bin
ANTLR = $(BIN)/antlr
DLG = $(BIN)/dlg
ANTLR_H = .
CFLAGS = -Ih -I. -I$(ANTLR_H)
AFLAGS = -gh -k 2 -gt
DFLAGS = -C2
GRM = sor.g
SRC = sor.c scan.c err.c main.c globals.c gen.c set.c hash.c look.c cpp.c
OBJ = sor.o scan.o err.o main.o globals.o gen.o set.o hash.o look.o cpp.o
GENHFILES = tokens.h mode.h stdpccts.h
CC=cc
SHELL=/bin/sh

all:
	make sor
	(cd lib; make)

sor: $(OBJ) $(SRC)
	$(CC) -o sor $(CFLAGS) $(OBJ)

sor.o : sor.c mode.h tokens.h

sor.c stdpccts.h parser.dlg tokens.h err.c : sor.g
	$(ANTLR) $(AFLAGS) sor.g

scan.c mode.h : parser.dlg
	$(DLG) $(DFLAGS) parser.dlg scan.c

scan.o : scan.c mode.h tokens.h

clean:
	rm -f *.o core sor

scrub:
	rm -f *.o core $(GENHFILES) parser.dlg scan.c err.c sor.c sor

ci:
	ci -u sor.g Makefile main.c globals.c gen.c set.c hash.c look.c cpp.c

co:
	co -l sor.g Makefile main.c globals.c gen.c set.c hash.c look.c cpp.c

=== debian/changelog ===
sorcerer (1.0) unstable; urgency=low

  * Initial Release.

 -- Ed Petron <epetron@leba.net>  Sun,  7 Jun 1998 09:54:35 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "epetron@leba.net"
End:

=== debian/control ===
Source: sorcerer
Section: devel
Priority: optional
Maintainer: Ed Petron <epetron@leba.net>
Standards-Version: 2.3.0.1

Package: sorcerer
Architecture: any
Depends: ${shlibs:Depends}
Description: A simple tree parser generator.
 Compilers and other types of language translators typically create
 Abstract Syntax Tree's (AST's) as part of the source analysis phase of
 translation. A recursive parse tree traversal procedure is then used to
 synthesize output. Sorcerer can be used to automate the construction of the
 parse tree traversal procedure. It does not rely on any particular
 intermediate form, parser generator, or other pre-existing application. As
 such it can be used with any parser generator including yacc, byacc, bison,
 or antlr from PCCTS.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=sorcerer

build:
	$(checkdir)
	
	touch build
	make

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp/usr/include/sorcerer
	install -d debian/tmp/usr/include/sorcerer
	cp h/* lib/errsupport.c debian/tmp/usr/include/sorcerer
	install -d debian/tmp/usr/lib/sorcerer/support
	cp -R test testcpp debian/tmp/usr/lib/sorcerer/support
	install -d debian/tmp/usr/doc/sorcerer
	cp SERVICES README debian/tmp/usr/doc/sorcerer
	cp debian/copyright debian/tmp/usr/doc/sorcerer
	cp debian/README.debian debian/tmp/usr/doc/sorcerer

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp/usr/bin
	install -d debian/tmp/usr/bin
	install -d debian/tmp/DEBIAN
	cd debian/tmp && install -d `cat ../dirs`
	strip sor
	mv sor `pwd`/debian/tmp/usr/bin
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
